#Programme de test du serveur OPC UA
from opcua import Server, ua
import time

def main():
    # Instanciation du serveur
    server = Server()
    # URL de la Raspberrypi qui héberge le serveur
    server.set_endpoint("opc.tcp://192.168.1.12:4840/UA/SampleServer")
    # nom du serveur
    server.set_server_name("OPC-UA-Server")
    # Sécurité
    server.set_security_policy([ua.SecurityPolicyType.Basic256Sha256_SignAndEncrypt])
    server.load_certificate("certificate2.der")
    server.load_private_key("key2.pem")
    # Nom de l'espace d'adresse pour éviter les ambiguïtés de noms de noeuds
    name = "progDeTest_OPCUA"
    noeud_test = server.register_namespace(name)
    # Création d'un noeud racine
    node = server.get_objects_node()
    # Ajout d'une noeud pour les variables que l'ont veut partager
    monObjet   = node.add_object(noeud_test, "monObjet")
    maVariable1 = monObjet.add_variable(noeud_test,"variableALire",0)
    maVariable2 = monObjet.add_variable(noeud_test,"variableAEcrire",0)
    maVariable2.set_writable()
    ancienneValeur2 = maVariable2.get_value()
    valeur1 = 3.14
    
    # Demarrage du serveur
    server.start()
    while True:
        nouvelleValeur2 = maVariable2.get_value()
        if nouvelleValeur2 != ancienneValeur2 :
            ancienneValeur2 = nouvelleValeur2
            print("valeur recue : ",nouvelleValeur2)
        valeur1 = valeur1 + 0.1
        maVariable1.set_value(valeur1)
        time.sleep(1)

if __name__ == "__main__":
    main()
