# Volume maxi du chateau d'eau en m^3
V_MAX_CHATEAU = 2000
V_INITIAL_CHATEAU = 500

# Volume maxi du réservoir de désinfection en m^3
V_MAX_RESERVOIR_DESINFECTION = 1000

# Débit max pompe de captage en m3/h
Q_MAX_CAPTAGE = 10000

# Débit max pompe de filtrage en m3/h
Q_MAX_FILTRAGE = 200

# Débit max pompe de chlore en m3/h
Q_MAX_CHLORE = 5

# Débit max pompe de relevage en m3/h
Q_MAX_RELEVAGE = 10000

# Concentrations de référence en chlore, en mg/L
C_MIN_CHLORE = 0.1
C_REF_CHLORE = 0.2
C_MAX_CHLORE = 0.5

# Concentration de la solution chlorée diluée dans l'eau en mg/L
C_SOLUTION_CHLORE = 100

# Nom du fichier où les paramètres sont sauvegardés
SAVE_FILE_POMPES = "fichier_retour_pompes.txt"
SAVE_FILE_RESERVOIRS = "fichier_retour_reservoirs.txt"
SAVE_FILE_COMMAND = "fichier_commande_OPC.txt"

# Période de rafraichissement en secondes des données (à adapter suivant la puissance du processeur
PERIODE_RAFRAICHISSEMENT = 1

# URL des deux serveurs
URL = "localhost"
URL_OPC = f"opc.tcp://{URL}:4840"
URL_MODBUS = URL

# Certificats pour la connexion OPC
# CERTIFICAT = "certificate-example.der"
# PRIVATE_KEY = "private-key-example.pem"
# PASSWORD = None

CERTIFICAT = "certs/MyRootCA.der"
PRIVATE_KEY = "private/MyRootCA.pfx"
PASSWORD = "MyPwd"
